### Hierarchy

- AccountsComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- accountTypes
- accounts
- accountsType
- dataSource
- defaultPageSize
- displayedColumns
- pageSizeOptions
- paginator
- sort

### Methods

- doFilter
- downloadCsv
- filterAccounts
- ngOnInit
- refreshPaginator
- viewAccount

## Constructors

### constructor

- new AccountsComponent(userService: UserService, loggingService: LoggingService, router: Router): AccountsComponent

- - Defined in src/app/pages/accounts/accounts.component.ts:29

  #### Parameters

  - ##### userService: UserService

  - ##### loggingService: LoggingService

  - ##### router: Router

  #### Returns AccountsComponent

## Properties

### accountTypes

accountTypes: string[]

- Defined in src/app/pages/accounts/accounts.component.ts:26

### accounts

accounts: AccountDetails[] = []

- Defined in src/app/pages/accounts/accounts.component.ts:21

### accountsType

accountsType: string = 'all'

- Defined in src/app/pages/accounts/accounts.component.ts:25

### dataSource

dataSource: MatTableDataSource<any>

- Defined in src/app/pages/accounts/accounts.component.ts:20

### defaultPageSize

defaultPageSize: number = 10

- Defined in src/app/pages/accounts/accounts.component.ts:23

### displayedColumns

displayedColumns: string[] = ...

- Defined in src/app/pages/accounts/accounts.component.ts:22

### pageSizeOptions

pageSizeOptions: number[] = ...

- Defined in src/app/pages/accounts/accounts.component.ts:24

### paginator

paginator: MatPaginator

- Defined in src/app/pages/accounts/accounts.component.ts:28

### sort

sort: MatSort

- Defined in src/app/pages/accounts/accounts.component.ts:29

## Methods

### doFilter

- doFilter(value: string): void

- - Defined in src/app/pages/accounts/accounts.component.ts:57

  #### Parameters

  - ##### value: string

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/app/pages/accounts/accounts.component.ts:86

  #### Returns void

### filterAccounts

- filterAccounts(): void

- - Defined in src/app/pages/accounts/accounts.component.ts:67

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/accounts/accounts.component.ts:37

  #### Returns Promise<void>

### refreshPaginator

- refreshPaginator(): void

- - Defined in src/app/pages/accounts/accounts.component.ts:78

  #### Returns void

### viewAccount

- viewAccount(account: any): Promise<void>

- - Defined in src/app/pages/accounts/accounts.component.ts:61

  #### Parameters

  - ##### account: any

  #### Returns Promise<void>

Generated using TypeDoc